CppUnit project page | FAQ | CppUnit home page

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TestCase Class Reference

A single test object. More...

`#include <TestCase.h>`

Inheritance diagram for TestCase:

[legend]
Collaboration diagram for TestCase:

[legend]
List of all members.

## Public Member Functions
| TestCase (const std::string &name)
| Constructs a test case.
| TestCase ()
| Constructs a test case for a suite.
| ~TestCase ()
| Destructs a test case.
virtual void | run (TestResult *result)
| Run the test and catch any exceptions that are triggered by it.
std::string | getName () const
| Returns the name of the test case.
virtual void | runTest ()
| FIXME: this should probably be pure virtual.
## Private Member Functions
| TestCase (const TestCase &other)
TestCase & | operator= (const TestCase &other)
## Private Attributes
const std::string | m_name

## Detailed Description

A single test object.

This class is used to implement a simple test case: define a subclass that overrides the runTest method.

You don't usually need to use that class, but TestFixture and TestCaller instead.

You are expected to subclass TestCase is you need to write a class similiar to TestCaller.

## Constructor & Destructor Documentation

TestCase::TestCase | ( | const std::string & | name | ) |

Constructs a test case.

Parameters:

  | name | the name of the TestCase.

TestCase::TestCase | ( |  | ) |

Constructs a test case for a suite.

Deprecated:
  This constructor was used by fixture when TestFixture did not exist. Have your fixture inherits TestFixture instead of TestCase.

TestCase::~TestCase | ( |  | ) |

Destructs a test case.

TestCase::TestCase | ( | const TestCase & | other | ) | `[private]`

## Member Function Documentation

void TestCase::run | ( | TestResult * | result | ) | `[virtual]`

Run the test and catch any exceptions that are triggered by it.

Implements Test.

std::string TestCase::getName | ( |  | ) | const`[virtual]`

Returns the name of the test case.

Implements Test.

Reimplemented in TestCaseDecorator.

void TestCase::runTest | ( |  | ) | `[virtual]`

FIXME: this should probably be pure virtual.

Reimplemented in ExceptionTestCaseDecorator< ExpectedException >, Orthodox< ClassUnderTest >, TestCaseDecorator, and TestCaller< Fixture >.

TestCase& TestCase::operator= | ( | const TestCase & | other | ) | `[private]`

## Member Data Documentation

const std::string TestCase::m_name`[private]`

The documentation for this class was generated from the following files:

- TestCase.h
- TestCase.cpp

| hosts this site. |  | Send comments to: CppUnit Developers